diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Action.js 0.96.8c/chrome/content/Action.js
--- 0.96.3/chrome/content/Action.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/Action.js	2012-10-03 09:47:02.000000000 -0400
@@ -8,7 +8,8 @@ screengrab.SaveAction = function() {}
 screengrab.SaveAction.prototype = {
 	doAction: function(canvas) {
 		var msg = document.getElementById("screengrab-strings").getString("SaveAsMessage");
-        var picker = new screengrab.ImageFilePicker(screengrab.prefs.defaultFileName() + "." + screengrab.prefs.format(), msg, screengrab.prefs.formatMimeType());
+//	        var picker = new screengrab.ImageFilePicker(screengrab.prefs.defaultFileName() + "." + screengrab.prefs.format(), msg, screengrab.prefs.formatMimeType());
+	        var picker = new screengrab.ImageFilePicker(screengrab.prefs.defaultFileName(), msg, screengrab.prefs.formatMimeType());
         var file = picker.getFile();
 		var dataUrl = canvas.toDataURL(file.mimeType, screengrab.prefs.formatQuality(file.mimeType));
         file.saveDataUrl(dataUrl, true);
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Browser.js 0.96.8c/chrome/content/Browser.js
--- 0.96.3/chrome/content/Browser.js	2010-03-23 21:56:06.000000000 -0400
+++ 0.96.8c/chrome/content/Browser.js	2012-02-16 02:10:16.000000000 -0500
@@ -6,10 +6,12 @@ screengrab.Browser = function(win) {
 	this.htmlWin = win.content.window;
 }
 screengrab.Browser.physicalDimensions = function() {
-	return new screengrab.Box(window.screenX,
+	return new screengrab.Box(
+		window.screenX,
 	                                 window.screenY,
 									 window.outerWidth,
-									 window.outerHeight);
+		window.outerHeight
+	);
 }
 screengrab.Browser.viewportAbsoluteDimensions = function() {
 	var win = window.top.getBrowser().selectedBrowser;
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Capture.js 0.96.8c/chrome/content/Capture.js
--- 0.96.3/chrome/content/Capture.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/Capture.js	2012-02-16 02:11:22.000000000 -0500
@@ -14,23 +15,5 @@ screengrab.CaptureViewPort = function(br
 	    htmlDoc.undo();
 		onCaptured(canvas);
 	}
-}
-
-screengrab.CaptureWindow = function(browser, dimensions, onCaptured) {
-	window.setTimeout(function() {
-		var dataUrl = screengrab.Java.capture(dimensions);
-		var canvas = browser.getCanvas();
-		var context = browser.prepareCanvas(canvas, dimensions);
-		var img = new Image();
-		img.onload = function() {
-			try {
-				context.drawImage(img, 0, 0);
-				context.restore();
-				onCaptured(canvas);
-			} catch (error) {
-				sg.error(error);
-			}
-		}
-		img.src = dataUrl;
-	}, 100);
+	htmlDoc.clear();
 }
\ No newline at end of file
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Clipboard.js 0.96.8c/chrome/content/Clipboard.js
--- 0.96.3/chrome/content/Clipboard.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/Clipboard.js	2012-02-19 03:26:22.000000000 -0500
@@ -6,11 +6,10 @@ screengrab.Clipboard = {
         image.setAttribute("src", dataUrl);
         var body = window.content.document.getElementsByTagName("html")[0];
         body.appendChild(image);
-        setTimeout(this.copyImage(image, body, document, callbackWhenDone), 200);
+        setTimeout(function() { screengrab.Clipboard.copyImage(image, body, document, callbackWhenDone); }, 200);
     },
     
     copyImage : function(image, body, documenty, callbackWhenDone) {
-        return function () {
             documenty.popupNode = image;
             try {
                 goDoCommand('cmd_copyImageContents');
@@ -21,6 +20,5 @@ screengrab.Clipboard = {
             if (callbackWhenDone) {
                 callbackWhenDone();
             }
-        };
     }
 }
\ No newline at end of file
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Document.js 0.96.8c/chrome/content/Document.js
--- 0.96.3/chrome/content/Document.js	2010-03-23 23:19:46.000000000 -0400
+++ 0.96.8c/chrome/content/Document.js	2012-02-16 02:16:16.000000000 -0500
@@ -92,5 +91,10 @@ screengrab.Document.prototype = {
 	
     undo : function() {
         this.undos.undo();
+    },
+
+	clear : function() {
+	    this.doc = null;
+	    this.undos = null;
     }
 }
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/EmbeddedCapture.js 0.96.8c/chrome/content/EmbeddedCapture.js
--- 0.96.3/chrome/content/EmbeddedCapture.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/EmbeddedCapture.js	2012-02-19 03:42:56.000000000 -0500
@@ -2,9 +2,11 @@
 screengrab.EmbeddedCapture = function(htmlDoc, captureBox, context) {
 	this.context = context;
 	this.captureBox = captureBox;
+
 	// only get the embeds that are in the area to capture
-	var toCopy = htmlDoc.getAllEmbeddedDimensions()
-                   .filter(function(element) {
+	var boxesToGrab = htmlDoc.getAllEmbeddedDimensions();
+
+	var toCopy = boxesToGrab.filter(function(element) {
 				   	   return element.intersects(captureBox)
 					});
 	
@@ -20,6 +22,7 @@ screengrab.EmbeddedCapture = function(ht
         regions = regions.concat(split);
     });
 	this.regions = regions;
+	boxesToGrab = new Array();
 }
 screengrab.EmbeddedCapture.prototype = {
 	capture: function(onFinish, htmlWindow) {
@@ -57,10 +60,10 @@ screengrab.EmbeddedCapture.prototype = {
 	            // scroll to region, snap it and save it
 				sg.debug("Scrolling to [" + box.x + "," + box.y + "]");
 				win.scrollTo(box.x, box.y);
-				setTimeout(doJavaCopy, sg.prefs.javaScrollWaitTime());
+				setTimeout(function() { doJavaCopy(); }, sg.prefs.javaScrollWaitTime());
 			} else {
 				// slight delay to allow everything to get into place
-				setTimeout(doJavaCopy, 10);
+				setTimeout(function() { doJavaCopy(); }, 10);
 			}
         }
 		
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/File.js 0.96.8c/chrome/content/File.js
--- 0.96.3/chrome/content/File.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/File.js	2012-09-21 14:24:48.000000000 -0400
@@ -86,12 +86,6 @@ screengrab.File.named = function(name, m
     nsFile.initWithPath(name);
 	return new screengrab.File(nsFile, mimeType);
 }
-screengrab.File.sanitiseName = function(name) {
-    var replaceChar = "_";
-    var fileNameRegEx = new RegExp('[,/\:*?""<>|]', 'g');
-	return name.replace(fileNameRegEx, replaceChar);
-}
-
 screengrab.ImageFilePicker = function(defaultFileName, message, selected) {
     this.defaultFileName = defaultFileName;
     this.message = message;
@@ -107,6 +101,7 @@ screengrab.ImageFilePicker.prototype = {
         fp.defaultString = this.defaultFileName;
         fp.appendFilter("PNG", "*.png;*.gnp");
         fp.appendFilter("JPG", "*.jpg;*jpeg");
+		fp.defaultExtension = 'png';
         if (this.selected == "image/png") {
             fp.filterIndex = 0;
         } else {
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Header.js 0.96.8c/chrome/content/Header.js
--- 0.96.3/chrome/content/Header.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/Header.js	2012-07-23 10:16:38.000000000 -0400
@@ -2,8 +2,8 @@
  * @author andy
  */
 
-screengrab = {};
-sg = screengrab;
+var screengrab = {};
+var sg = screengrab;
 screengrab.ScriptLoader = Components.classes["@mozilla.org/moz/jssubscript-loader;1"]
                             .getService(Components.interfaces.mozIJSSubScriptLoader);
 // Base64 code
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Java.js 0.96.8c/chrome/content/Java.js
--- 0.96.3/chrome/content/Java.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/Java.js	2012-03-08 00:20:36.000000000 -0500
@@ -22,26 +22,9 @@ screengrab.Java = {
         }
         return array;
     },
-    getClass: function(className, jar) {
-        try {
-			var jarCl = this.clForJar[jar];
-			if (jarCl == null) {
-				screengrab.debug("Creating class loader for " + jar);
-		        var id = "{02450954-cdd9-410f-b1da-db804e18c671}";
-		        var ext = Components.classes["@mozilla.org/extensions/manager;1"].getService(Components.interfaces.nsIExtensionManager).getInstallLocation(id).getItemLocation(id);
-				var file = new java.io.File(ext.path + "/jars/" + jar).getAbsoluteFile();
-	            jarCl = java.net.URLClassLoader.newInstance(this.newArray("java.net.URL", file.toURL()));
-				this.clForJar[jar] = jarCl;
-			}
-            var aClass = java.lang.Class.forName(className, true, jarCl);
-            screengrab.debug("Returning " + aClass.getName());
-            return aClass;
-        } catch (e) {
-            screengrab.error(this.getStackTrace(e));
-        }
-        return null;
-    },
+
 	isAvailable: function() {
+return false;
 		try {
 			new java.lang.Integer(1);
 		} catch (error) {
@@ -57,9 +40,10 @@ screengrab.Java = {
 		}
 		return true;
 	},
+
 	capture: function(box) {
 		screengrab.debug(box);
-		var clazz = this.getClass("Base64$OutputStream", "base64.jar");
+		var clazz = new Object();
 		var baos = new java.io.ByteArrayOutputStream();
 		var constructor = clazz.getConstructor(this.newArray("java.lang.Class", java.lang.Class.forName("java.io.OutputStream")));
 		var b64os = constructor.newInstance(this.newArray("java.io.OutputStream", baos));
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Prefs.js 0.96.8c/chrome/content/Prefs.js
--- 0.96.3/chrome/content/Prefs.js	2010-03-23 23:10:48.000000000 -0400
+++ 0.96.8c/chrome/content/Prefs.js	2012-03-07 23:36:04.000000000 -0500
@@ -74,7 +74,7 @@ screengrab.prefs = {
 	},
     
     defaultFileName : function() {
-        var filename = window.content.document.title;
+		var filename = this.sanitiseName(window.content.document.title);
         if (nsPreferences.getBoolPref(this.extensionPrefix + this.includeTimeStampInFilename)) {
             dt = new Date();
             filename = filename + "_" + dt.getTime();
@@ -82,6 +82,13 @@ screengrab.prefs = {
         return filename;
     },
 	
+	sanitiseName : function(name) {
+		var replaceChar = "_";
+//		var fileNameRegEx = new RegExp('[,\/\\\:\*\?\"\<\>\|]', 'g');
+//		return name.replace(fileNameRegEx, replaceChar);
+		return name.replace(/[\/\\\:\*\?\'\"\<\>\|]/g, replaceChar);
+	},
+
 	loggerFileName : function() {
 		if (window.navigator.userAgent.toLowerCase().indexOf("win") > -1) {
 			var defaultFileName = "C:\screengrab.log";
@@ -145,16 +152,6 @@ screengrab.prefs = {
 		}
 	},
 	
-	refreshMenuChoices : function() {
-		if (!this.javaEnabled()) {
-			this.hide("pop-grabWindow");
-			this.hide("pop-copyWindow");
-		} else {
-			this.show("pop-grabWindow");
-			this.show("pop-copyWindow");
-		}
-	},
-
 	refreshShortcuts : function() {
 //		setShortcut("screengrab-key-copy-complete", "c", "control shift");
 //        setShortcut("screengrab-key-copy-visible", "v", "control shift");
@@ -225,7 +222,6 @@ screengrab.prefs = {
 		setTimeout(function() {
 			screengrab.prefs.refreshContextMenu();
 			screengrab.prefs.refreshStatusbar();
-			screengrab.prefs.refreshMenuChoices();
             screengrab.prefs.refreshShortcuts();
 		}, 100);
 	},
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Selection.js 0.96.8c/chrome/content/Selection.js
--- 0.96.3/chrome/content/Selection.js	2010-03-23 22:51:36.000000000 -0400
+++ 0.96.8c/chrome/content/Selection.js	2012-07-23 10:05:26.000000000 -0400
@@ -17,7 +17,7 @@ Foundation, Inc., 51 Franklin Street, Fi
 
 Contact: andy@5263.org
 */
-SGSelection = {
+var SGSelection = {
     BACKGROUND_DIV : "screengrabBackgroundDiv",
     DRAW_DIV : "screengrabDrawDiv",
     BOX_DIV : "screengrabBoxDiv",
@@ -97,13 +97,13 @@ SGSelection = {
         drawDiv.appendChild(backgroundDiv);
         body.appendChild(drawDiv);
         
-        window._content.document.addEventListener("mouseup", SGSelectionOnMouseUpHandlerThatHasToExistForSomeReason, true);
+        window._content.document.addEventListener("mouseup", SGSelection.OnMouseUpHandlerThatHasToExistForSomeReason, true);
         this.drawing = true;
     },
     
     disableDrawAndGrabIfRequired : function(event) {
 		try {
-	        window._content.document.removeEventListener("mouseup", SGSelectionOnMouseUpHandlerThatHasToExistForSomeReason, true);
+	        window._content.document.removeEventListener("mouseup", SGSelection.OnMouseUpHandlerThatHasToExistForSomeReason, true);
 	        var winCon = window._content;
 	    	var dimBox = null;
 	    	// create a box to hold the dimensions of the box
@@ -132,9 +132,8 @@ SGSelection = {
 		} catch (error) {
 			screengrab.error(error);
 		}
-    }
-}
-
-function SGSelectionOnMouseUpHandlerThatHasToExistForSomeReason(event) {
+    },
+	OnMouseUpHandlerThatHasToExistForSomeReason : function(event) {
     SGSelection.disableDrawAndGrabIfRequired(event);
 }
\ No newline at end of file
+}
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/Target.js 0.96.8c/chrome/content/Target.js
--- 0.96.3/chrome/content/Target.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/Target.js	2012-02-16 01:24:14.000000000 -0500
@@ -23,19 +23,6 @@ screengrab.Target.prototype = {
 	}
 }
 
-/**
- * Target to capture the entire window - this will give screen coords
- */
-screengrab.WindowTarget = function() {}
-screengrab.WindowTarget.superclass = screengrab.Target.prototype;
-screengrab.WindowTarget.prototype = {
-    obtainDimensions : function(onObtained) {
-		// the browser doesn't matter, just fill it in to avoid any potential nulls...
-        this.contentBrowser = new screengrab.Browser(screengrab.Browser.contentWindow());
-        this.dimensions = screengrab.Browser.physicalDimensions();
-        screengrab.Target.prototype.obtainDimensions.call(this, onObtained);
-    }
-}
 
 /**
  * Target to capture the entire contents of a frame
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/external/log4js.js 0.96.8c/chrome/content/external/log4js.js
--- 0.96.3/chrome/content/external/log4js.js	2010-03-23 21:42:46.000000000 -0400
+++ 0.96.8c/chrome/content/external/log4js.js	2012-03-07 23:49:40.000000000 -0500
@@ -668,7 +668,7 @@ function MozJSConsoleAppender(logger) {
 
 	this.logger = logger;
 	this.layout = new SimpleLayout();
-	netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
+//	netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
 	this.jsConsole = Components.classes["@mozilla.org/consoleservice;1"].getService(Components.interfaces.nsIConsoleService);
 	this.scriptError = Components.classes["@mozilla.org/scripterror;1"].createInstance(Components.interfaces.nsIScriptError);
 }
@@ -679,7 +679,7 @@ MozJSConsoleAppender.prototype = {
 	 * @see Appender#doAppend
 	 */
 	doAppend: function(loggingEvent) {
-		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
+//		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
 		this.scriptError.init(this.layout.format(loggingEvent), null, null, null, null, this.getFlag(loggingEvent), loggingEvent.categoryName);
 		this.jsConsole.logMessage(this.scriptError);
 	},
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/content/screengrabOverlay.xul 0.96.8c/chrome/content/screengrabOverlay.xul
--- 0.96.3/chrome/content/screengrabOverlay.xul	2010-03-23 22:56:00.000000000 -0400
+++ 0.96.8c/chrome/content/screengrabOverlay.xul	2012-07-23 10:25:24.000000000 -0400
@@ -1,6 +1,5 @@
 <?xml version="1.0"?>
 <?xml-stylesheet href="chrome://screengrab/skin/screengrab.css" type="text/css"?>
-<?xml-stylesheet href="chrome://screengrab/skin/toolbar.css" type="text/css"?>
 <!DOCTYPE window SYSTEM "chrome://screengrab/locale/screengrab.dtd">
 
 <overlay id="screengrabOverlay" xmlns:html="http://www.w3.org/1999/xhtml" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
@@ -9,7 +8,7 @@
 	<script type="application/x-javascript" src="chrome://screengrab/content/Header.js" />
     <script type="application/x-javascript" src="chrome://screengrab/content/Box.js" />
 	<script type="application/x-javascript" src="chrome://screengrab/content/Prefs.js" />
-    <!--script type="application/x-javascript" src="chrome://screengrab/content/AddToToolbar.js" /-->
+    <script type="application/x-javascript" src="chrome://screengrab/content/AddToToolbar.js" />
 	<script type="application/x-javascript" src="chrome://screengrab/content/Log4js.js" />
 	<script type="application/x-javascript" src="chrome://screengrab/content/UndoSet.js" />
     <script type="application/x-javascript" src="chrome://screengrab/content/File.js" />
@@ -33,10 +32,9 @@
 	   <stringbundle id="screengrab-strings" src="chrome://screengrab/locale/screengrab.properties"/>
 	</stringbundleset>
 	
-	<!--
 	<toolbarpalette id="BrowserToolbarPalette">
 	    <toolbarbutton id="screengrab-toolbar-button"
-	                   class="toolbarbutton-1 chromeclass-toolbar-additional"
+	               class="toolbarbutton-1"
                        oncommand="document.getElementById('screengrab-toolbar-button').open=true;"
                        type="menu-button"
 	                   tooltiptext="Screengrab!"
@@ -47,39 +45,26 @@
 	        </menupopup>
 	    </toolbarbutton>
 	</toolbarpalette>
-	-->
 
 	<!-- Context menu additions -->
 	<popup id="contentAreaContextMenu">
 	    <menuseparator id="screengrab-context-separator"/>
-	    <menu id="screengrab-context-menu" label="&screengrab.name;">
+	    <menu id="screengrab-context-menu" class="menu-iconic" label="&screengrab.name;">
 	        <menupopup id="screengrab-menu-items">
 		    	<menu id="screengrab-save" label="&screengrab.save;">
 		    		<menupopup>
-			            <menuitem id="pop-grabFrame" label="&screengrab.page;" 
-			                oncommand="sg.Grab(new sg.FrameTarget(), sg.CaptureViewPort, new sg.SaveAction());"/>
-			            <menuitem id="pop-grabViewPort" label="&screengrab.visible.portion.of.page;" 
-			                oncommand="sg.Grab(new sg.VisibleTarget(), sg.CaptureViewPort, new sg.SaveAction());"/>
-			            <menuitem id="pop-grabSelection" label="&screengrab.selection;" 
-			                oncommand="sg.Grab(new sg.SelectionTarget(), sg.CaptureViewPort, new sg.SaveAction());"/>
-		                <!--menuitem id="pop-grabElement" label="&screengrab.element;" 
-			                oncommand="sg.Grab(new sg.ElementTarget(), sg.CaptureViewPort, new sg.SaveAction());"/-->
-		                <menuitem id="pop-grabWindow" label="&screengrab.browser.window;" 
-		                    oncommand="sg.Grab(new sg.WindowTarget(), sg.CaptureWindow, new sg.SaveAction());"/>
+					<menuitem id="screengrab-pop-grabFrame" label="&screengrab.page;" oncommand="sg.Grab(new sg.FrameTarget(), sg.CaptureViewPort, new sg.SaveAction());"/>
+					<menuitem id="screengrab-pop-grabViewPort" label="&screengrab.visible.portion.of.page;" oncommand="sg.Grab(new sg.VisibleTarget(), sg.CaptureViewPort, new sg.SaveAction());"/>
+					<menuitem id="screengrab-pop-grabSelection" label="&screengrab.selection;" oncommand="sg.Grab(new sg.SelectionTarget(), sg.CaptureViewPort, new sg.SaveAction());"/>
+					<!-- menuitem id="screengrab-pop-grabElement" label="&screengrab.element;" oncommand="sg.Grab(new sg.ElementTarget(), sg.CaptureViewPort, new sg.SaveAction());"/ -->
 		            </menupopup>
 		        </menu>
 		        <menu id="screengrab-copy" label="&screengrab.copy;">
 		    		<menupopup>
-			            <menuitem id="pop-copyFrame" label="&screengrab.page;" 
-				                oncommand="sg.Grab(new sg.FrameTarget(), sg.CaptureViewPort, new sg.CopyAction());"/>
-			            <menuitem id="pop-copyViewPort" label="&screengrab.visible.portion.of.page;" 
-			                oncommand="sg.Grab(new sg.VisibleTarget(), sg.CaptureViewPort, new sg.CopyAction());"/>
-			            <menuitem id="pop-copySelection" label="&screengrab.selection;" 
-		                    oncommand="sg.Grab(new sg.SelectionTarget(), sg.CaptureViewPort, new sg.CopyAction());"/>
-		                <!--<menuitem id="pop-copyElement" label="&screengrab.element;" 
-		                    oncommand="sg.Grab(new sg.ElementTarget(), sg.CaptureViewPort, new sg.CopyAction());"/>-->
-		                <menuitem id="pop-copyWindow" label="&screengrab.browser.window;" 
-		                    oncommand="sg.Grab(new sg.WindowTarget(), sg.CaptureWindow, new sg.CopyAction());"/>
+					<menuitem id="screengrab-pop-copyFrame" label="&screengrab.page;" oncommand="sg.Grab(new sg.FrameTarget(), sg.CaptureViewPort, new sg.CopyAction());"/>
+					<menuitem id="screengrab-pop-copyViewPort" label="&screengrab.visible.portion.of.page;" oncommand="sg.Grab(new sg.VisibleTarget(), sg.CaptureViewPort, new sg.CopyAction());"/>
+					<menuitem id="screengrab-pop-copySelection" label="&screengrab.selection;" oncommand="sg.Grab(new sg.SelectionTarget(), sg.CaptureViewPort, new sg.CopyAction());"/>
+					<!-- <menuitem id="screengrab-pop-copyElement" label="&screengrab.element;" oncommand="sg.Grab(new sg.ElementTarget(), sg.CaptureViewPort, new sg.CopyAction());"/ -->
 		    		</menupopup>
 		        </menu>
 		    </menupopup>
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/bg-BG/screengrab.dtd 0.96.8c/chrome/locale/bg-BG/screengrab.dtd
--- 0.96.3/chrome/locale/bg-BG/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/bg-BG/screengrab.dtd	2012-02-16 02:31:20.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/cs-CZ/screengrab.dtd 0.96.8c/chrome/locale/cs-CZ/screengrab.dtd
--- 0.96.3/chrome/locale/cs-CZ/screengrab.dtd	2010-03-23 21:42:42.000000000 -0400
+++ 0.96.8c/chrome/locale/cs-CZ/screengrab.dtd	2012-02-16 02:31:30.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/de-DE/screengrab.dtd 0.96.8c/chrome/locale/de-DE/screengrab.dtd
--- 0.96.3/chrome/locale/de-DE/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/de-DE/screengrab.dtd	2012-02-16 02:31:42.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Größe ändern...">
 <!ENTITY screengrab.page "Gesamte Seite oder Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Sichtbarer Bereich...">
-<!ENTITY screengrab.browser.window "Gesamtes Fenster...">
 <!ENTITY screengrab.selection "Auswählbarer Bereich...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "ScreenGrab! - Einstellungen">
 <!ENTITY screengrab.preference.page.capture.method "Bevorzugte Methode auswählen:">
 <!ENTITY screengrab.preference.page.capture.java "Java-Methode verwenden">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/en-US/screengrab.dtd 0.96.8c/chrome/locale/en-US/screengrab.dtd
--- 0.96.3/chrome/locale/en-US/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/en-US/screengrab.dtd	2012-02-15 23:26:12.000000000 -0500
@@ -6,7 +6,6 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
 <!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/es-ES/screengrab.dtd 0.96.8c/chrome/locale/es-ES/screengrab.dtd
--- 0.96.3/chrome/locale/es-ES/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/es-ES/screengrab.dtd	2012-02-16 02:31:56.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Redimensionar...">
 <!ENTITY screengrab.page "Página/Marco completo...">
 <!ENTITY screengrab.visible.portion.of.page "Porción visible...">
-<!ENTITY screengrab.browser.window "Ventana...">
 <!ENTITY screengrab.selection "Selección...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! - Opciones">
 <!ENTITY screengrab.preference.page.capture.method "Método preferido de captura de página">
 <!ENTITY screengrab.preference.page.capture.java "Java (antiguo, pesado)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/fr-FR/screengrab.dtd 0.96.8c/chrome/locale/fr-FR/screengrab.dtd
--- 0.96.3/chrome/locale/fr-FR/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/fr-FR/screengrab.dtd	2012-02-16 02:32:04.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/he-IL/screengrab.dtd 0.96.8c/chrome/locale/he-IL/screengrab.dtd
--- 0.96.3/chrome/locale/he-IL/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/he-IL/screengrab.dtd	2012-02-16 02:32:10.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/hr-HR/screengrab.dtd 0.96.8c/chrome/locale/hr-HR/screengrab.dtd
--- 0.96.3/chrome/locale/hr-HR/screengrab.dtd	2010-03-23 21:42:42.000000000 -0400
+++ 0.96.8c/chrome/locale/hr-HR/screengrab.dtd	2012-02-16 02:32:18.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Promijeni veličinu...">
 <!ENTITY screengrab.page "Cijela stranica/Okvir...">
 <!ENTITY screengrab.visible.portion.of.page "Vidljivi dio...">
-<!ENTITY screengrab.browser.window "Prozor...">
 <!ENTITY screengrab.selection "Odabrano...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Postavke">
 <!ENTITY screengrab.preference.page.capture.method "Preferirana metoda hvatanja stranice">
 <!ENTITY screengrab.preference.page.capture.java "Java (starije, više funky)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/hu-HU/screengrab.dtd 0.96.8c/chrome/locale/hu-HU/screengrab.dtd
--- 0.96.3/chrome/locale/hu-HU/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/hu-HU/screengrab.dtd	2012-02-16 02:32:24.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/it-IT/screengrab.dtd 0.96.8c/chrome/locale/it-IT/screengrab.dtd
--- 0.96.3/chrome/locale/it-IT/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/it-IT/screengrab.dtd	2012-02-16 02:32:32.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Ridimensiona...">
 <!ENTITY screengrab.page "Pagina/riquadro completo...">
 <!ENTITY screengrab.visible.portion.of.page "Porzione visibile...">
-<!ENTITY screengrab.browser.window "Finestra...">
 <!ENTITY screengrab.selection "Selezione...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Impostazioni di Screen grab!">
 <!ENTITY screengrab.preference.page.capture.method "Metodo di cattura preferito:">
 <!ENTITY screengrab.preference.page.capture.java "Java (metodo vecchio, più lento)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/ja-JP/screengrab.dtd 0.96.8c/chrome/locale/ja-JP/screengrab.dtd
--- 0.96.3/chrome/locale/ja-JP/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/ja-JP/screengrab.dtd	2012-02-16 02:32:38.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/ko-KR/screengrab.dtd 0.96.8c/chrome/locale/ko-KR/screengrab.dtd
--- 0.96.3/chrome/locale/ko-KR/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/ko-KR/screengrab.dtd	2012-02-16 02:32:48.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/nl-NL/screengrab.dtd 0.96.8c/chrome/locale/nl-NL/screengrab.dtd
--- 0.96.3/chrome/locale/nl-NL/screengrab.dtd	2010-03-23 21:42:42.000000000 -0400
+++ 0.96.8c/chrome/locale/nl-NL/screengrab.dtd	2012-02-16 02:33:02.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Formaat wijzigen...">
 <!ENTITY screengrab.page "Volledige pagina/frame...">
 <!ENTITY screengrab.visible.portion.of.page "Zichtbaar gedeelte...">
-<!ENTITY screengrab.browser.window "Venster...">
 <!ENTITY screengrab.selection "Selectie...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "ScreenGrab! instellingen">
 <!ENTITY screengrab.preference.page.capture.method "Voorkeursmethode voor paginacapture">
 <!ENTITY screengrab.preference.page.capture.java "Java (ouder, wat stoffig)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/pt-BR/screengrab.dtd 0.96.8c/chrome/locale/pt-BR/screengrab.dtd
--- 0.96.3/chrome/locale/pt-BR/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/pt-BR/screengrab.dtd	2012-02-16 02:33:08.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/ru-RU/screengrab.dtd 0.96.8c/chrome/locale/ru-RU/screengrab.dtd
--- 0.96.3/chrome/locale/ru-RU/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/ru-RU/screengrab.dtd	2012-02-16 02:33:16.000000000 -0500
@@ -1,19 +1,19 @@
 <!ENTITY screengrab.name "ScreenGrab!">
-<!ENTITY screengrab.copy "Copy...">
-<!ENTITY screengrab.save "Save...">
-<!ENTITY screengrab.preview "Preview...">
-<!ENTITY screengrab.crop "Crop...">
-<!ENTITY screengrab.resize "Resize...">
-<!ENTITY screengrab.page "Complete Page/Frame...">
-<!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
-<!ENTITY screengrab.selection "Selection...">
-<!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
-<!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
-<!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
-<!ENTITY screengrab.preference.page.capture.gecko "Gecko Canvas (newer, faster)">
-<!ENTITY screengrab.preference.page.capture.gecko.description "Canvas is faster, leaner, newer and usually better. It will capture long pages, but won&apos;t get embedded objects (eg. swf).">
-<!ENTITY screengrab.preference.page.capture.java.description "Java is slower and funkier (and requires Java to be installed). It gets embedded objects, but won&apos;t grab really long pages and can&apos;t copy to the clipboard (yet).">
-<!ENTITY screengrab.preference.timestamp.in.filename "Include time stamp in filename">
-<!ENTITY screengrab.preference.timestamp.in.filename.description "Enabling this will append a timestamp to all files saved. This can be useful for unique identification.">
-<!ENTITY screengrab.preference.image.format "Image format">
+<!ENTITY screengrab.copy "Скопировать...">
+<!ENTITY screengrab.save "Сохранить...">
+<!ENTITY screengrab.preview "Просмотр...">
+<!ENTITY screengrab.crop "Вырезать...">
+<!ENTITY screengrab.resize "Изменить размер...">
+<!ENTITY screengrab.page "Всю страницу/Фрейм...">
+<!ENTITY screengrab.visible.portion.of.page "Видимую часть...">
+<!ENTITY screengrab.selection "Выделение...">
+<!ENTITY screengrab.element "Element...">
+<!ENTITY screengrab.preference.panel.label "Screengrab! Настройки">
+<!ENTITY screengrab.preference.page.capture.method "Предпочтительный метод сохранения страницы">
+<!ENTITY screengrab.preference.page.capture.java "Java (старая, медленная)">
+<!ENTITY screengrab.preference.page.capture.gecko "Gecko Canvas (новый, быстрый)">
+<!ENTITY screengrab.preference.page.capture.gecko.description "Canvas быстрее, компактнее, новее и удобнее в использовании. Делает снимок длинных страниц, но без встроенных объектов (напр. Flash).">
+<!ENTITY screengrab.preference.page.capture.java.description "Java медленная и требует установленной Java. Сохраняет встроенные объекты, но не захватывает длинные страницы и отсутствует возможность копирования в буфер обмена.">
+<!ENTITY screengrab.preference.timestamp.in.filename "Добавить текущее время в имя файла">
+<!ENTITY screengrab.preference.timestamp.in.filename.description "Добавление текущего времени в имя к каждому файлу. Полезно для уникальности.">
+<!ENTITY screengrab.preference.image.format "Формат картинки">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/sk-SK/screengrab.dtd 0.96.8c/chrome/locale/sk-SK/screengrab.dtd
--- 0.96.3/chrome/locale/sk-SK/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/sk-SK/screengrab.dtd	2012-02-16 02:33:24.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Zmeniť veľkosť...">
 <!ENTITY screengrab.page "Celá stránka/Rámec...">
 <!ENTITY screengrab.visible.portion.of.page "Viditeľná časť...">
-<!ENTITY screengrab.browser.window "Okno...">
 <!ENTITY screengrab.selection "Výber...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Nastavenie ScreenGrab!">
 <!ENTITY screengrab.preference.page.capture.method "Uprednostňovaný spôsob snímania">
 <!ENTITY screengrab.preference.page.capture.java "Java (starší, funkčnejší)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/sl-SL/screengrab.dtd 0.96.8c/chrome/locale/sl-SL/screengrab.dtd
--- 0.96.3/chrome/locale/sl-SL/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/sl-SL/screengrab.dtd	2012-02-16 02:33:30.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Spremeni velikost...">
 <!ENTITY screengrab.page "Celotna stran/Okvir...">
 <!ENTITY screengrab.visible.portion.of.page "Vidna površina...">
-<!ENTITY screengrab.browser.window "Okno...">
 <!ENTITY screengrab.selection "Izbira...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Nastavitve Screengrab!">
 <!ENTITY screengrab.preference.page.capture.method "Privzeta metoda zajema strani">
 <!ENTITY screengrab.preference.page.capture.java "Java (starejša, več funkcij)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/tr-TR/screengrab.dtd 0.96.8c/chrome/locale/tr-TR/screengrab.dtd
--- 0.96.3/chrome/locale/tr-TR/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/tr-TR/screengrab.dtd	2012-02-16 02:33:38.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Resize...">
 <!ENTITY screengrab.page "Complete Page/Frame...">
 <!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
 <!ENTITY screengrab.selection "Selection...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
 <!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
 <!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/uk-UA/screengrab.dtd 0.96.8c/chrome/locale/uk-UA/screengrab.dtd
--- 0.96.3/chrome/locale/uk-UA/screengrab.dtd	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/locale/uk-UA/screengrab.dtd	2012-02-16 02:33:44.000000000 -0500
@@ -6,8 +6,8 @@
 <!ENTITY screengrab.resize "Змінити розмір...">
 <!ENTITY screengrab.page "Цілу сторінку/фрейм...">
 <!ENTITY screengrab.visible.portion.of.page "Видима частина...">
-<!ENTITY screengrab.browser.window "Вікно...">
 <!ENTITY screengrab.selection "Виділення...">
+<!ENTITY screengrab.element "Element...">
 <!ENTITY screengrab.preference.panel.label "Налаштування Screengrab!">
 <!ENTITY screengrab.preference.page.capture.method "Вид збереження сторінки за замовчуванням">
 <!ENTITY screengrab.preference.page.capture.java "Java (старший, повільний)">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/locale/zh-CN/screengrab.dtd 0.96.8c/chrome/locale/zh-CN/screengrab.dtd
--- 0.96.3/chrome/locale/zh-CN/screengrab.dtd	2010-03-23 21:42:42.000000000 -0400
+++ 0.96.8c/chrome/locale/zh-CN/screengrab.dtd	2012-06-02 17:59:44.000000000 -0400
@@ -1,19 +1,19 @@
-<!ENTITY screengrab.name "ScreenGrab!">
-<!ENTITY screengrab.copy "Copy...">
-<!ENTITY screengrab.save "Save...">
-<!ENTITY screengrab.preview "Preview...">
-<!ENTITY screengrab.crop "Crop...">
-<!ENTITY screengrab.resize "Resize...">
-<!ENTITY screengrab.page "Complete Page/Frame...">
-<!ENTITY screengrab.visible.portion.of.page "Visible portion...">
-<!ENTITY screengrab.browser.window "Window...">
-<!ENTITY screengrab.selection "Selection...">
-<!ENTITY screengrab.preference.panel.label "Screengrab! Settings">
-<!ENTITY screengrab.preference.page.capture.method "Preferred page capture method">
-<!ENTITY screengrab.preference.page.capture.java "Java (older, funkier)">
-<!ENTITY screengrab.preference.page.capture.gecko "Gecko Canvas (newer, faster)">
-<!ENTITY screengrab.preference.page.capture.gecko.description "Canvas is faster, leaner, newer and usually better. It will capture long pages, but won&apos;t get embedded objects (eg. swf).">
-<!ENTITY screengrab.preference.page.capture.java.description "Java is slower and funkier (and requires Java to be installed). It gets embedded objects, but won&apos;t grab really long pages and can&apos;t copy to the clipboard (yet).">
-<!ENTITY screengrab.preference.timestamp.in.filename "Include time stamp in filename">
-<!ENTITY screengrab.preference.timestamp.in.filename.description "Enabling this will append a timestamp to all files saved. This can be useful for unique identification.">
-<!ENTITY screengrab.preference.image.format "Image format">
+<!ENTITY screengrab.name "网页截图">
+<!ENTITY screengrab.copy "复制...">
+<!ENTITY screengrab.save "保存...">
+<!ENTITY screengrab.preview "预览...">
+<!ENTITY screengrab.crop "裁切...">
+<!ENTITY screengrab.resize "改变大小...">
+<!ENTITY screengrab.page "整个网页/框架...">
+<!ENTITY screengrab.visible.portion.of.page "可见区域...">
+<!ENTITY screengrab.selection "选区...">
+<!ENTITY screengrab.element "组件...">
+<!ENTITY screengrab.preference.panel.label "设置">
+<!ENTITY screengrab.preference.page.capture.method "首选的抓屏方法">
+<!ENTITY screengrab.preference.page.capture.java "Java(早期，落后)">
+<!ENTITY screengrab.preference.page.capture.gecko "Gecko Canvas (新的，快速)">
+<!ENTITY screengrab.preference.page.capture.gecko.description "Canvas 较快、小巧、新的和易用的，它可以抓取长页面，但不能抓取embed对象(如 flash 动画)。">
+<!ENTITY screengrab.preference.page.capture.java.description "Java 慢的和迟缓(需要安装 Java)。它可以抓取embed对象但不能抓取长页面和复制到剪贴板。">
+<!ENTITY screengrab.preference.timestamp.in.filename "在文件名中包括时间戳">
+<!ENTITY screengrab.preference.timestamp.in.filename.description "启用它将在文件保存时添加上时间戳，这对唯一性很有好处。">
+<!ENTITY screengrab.preference.image.format "图片格式">
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/skin/contents.rdf 0.96.8c/chrome/skin/contents.rdf
--- 0.96.3/chrome/skin/contents.rdf	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/skin/contents.rdf	1969-12-31 19:00:00.000000000 -0500
@@ -1,26 +0,0 @@
-<?xml version="1.0"?>
-<RDF:RDF xmlns:RDF="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:chrome="http://www.mozilla.org/rdf/chrome#">
-
-    <RDF:Seq about="urn:mozilla:skin:root">
-        <RDF:li resource="urn:mozilla:skin:classic/1.0" />
-    </RDF:Seq>
-
-    <RDF:Description about="urn:mozilla:skin:classic/1.0">
-        <chrome:packages>
-            <RDF:Seq about="urn:mozilla:skin:classic/1.0:packages">
-                <RDF:li resource="urn:mozilla:skin:classic/1.0:screengrab" />
-            </RDF:Seq>
-        </chrome:packages>
-    </RDF:Description>
-
-    <RDF:Seq about="urn:mozilla:stylesheets">
-        <RDF:li resource="chrome://browser/content/browser.xul"/>
-        <RDF:li resource="chrome://global/content/customizeToolbar.xul"/>
-    </RDF:Seq>
-    <RDF:Seq about="chrome://browser/content/browser.xul">
-        <RDF:li>chrome://screengrab/skin/screengrab.css</RDF:li>
-    </RDF:Seq>
-    <RDF:Seq about="chrome://global/content/customizeToolbar.xul">
-        <RDF:li>chrome://screengrab/skin/screengrab.css</RDF:li>
-    </RDF:Seq>
-</RDF:RDF>
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/skin/screengrab.css 0.96.8c/chrome/skin/screengrab.css
--- 0.96.3/chrome/skin/screengrab.css	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/skin/screengrab.css	2012-07-04 00:04:34.000000000 -0400
@@ -2,6 +2,10 @@
     background: url("chrome://screengrab/skin/screengrab_icon.gif") 0 no-repeat;
 }
 
+menu#screengrab-context-menu {
+	list-style-image: url('chrome://screengrab/skin/screengrab_icon.png');
+}
+
 .box {
   background-color: #ffff00;
   border: 1px solid #000000;
@@ -37,4 +41,14 @@
   border: 1px solid #000;
   position: absolute;
 }
+toolbarbutton#screengrab-toolbar-button {
+  list-style-image: url("chrome://screengrab/skin/screengrab_24_icon.png");
+}
 
+#screengrab-toolbar-button {
+  list-style-image: url("chrome://screengrab/skin/screengrab_icon.png");
+}
+
+toolbar[iconsize="small"] #screengrab-toolbar-button {
+  list-style-image: url("chrome://screengrab/skin/screengrab_16_icon.png");
+}
Binary files 0.96.3/chrome/skin/screengrab_16_icon.gif and 0.96.8c/chrome/skin/screengrab_16_icon.gif differ
Binary files 0.96.3/chrome/skin/screengrab_16_icon.png and 0.96.8c/chrome/skin/screengrab_16_icon.png differ
Binary files 0.96.3/chrome/skin/screengrab_24_icon.gif and 0.96.8c/chrome/skin/screengrab_24_icon.gif differ
Binary files 0.96.3/chrome/skin/screengrab_24_icon.png and 0.96.8c/chrome/skin/screengrab_24_icon.png differ
Binary files 0.96.3/chrome/skin/screengrab_icon.png and 0.96.8c/chrome/skin/screengrab_icon.png differ
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome/skin/toolbar.css 0.96.8c/chrome/skin/toolbar.css
--- 0.96.3/chrome/skin/toolbar.css	2010-03-23 21:42:44.000000000 -0400
+++ 0.96.8c/chrome/skin/toolbar.css	1969-12-31 19:00:00.000000000 -0500
@@ -1,12 +0,0 @@
-@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
-/**
- * This file is copyright Andy Mutton 2008 (andy@5263.org).
- * It is licensed under the GPL3. More information can be found in the root folder in license.txt
- */
-#screengrab-toolbar-button {
-  list-style-image: url("chrome://screengrab/skin/screengrab_24_icon.gif");
-}
-
-toolbar[iconsize="small"] #screengrab-toolbar-button {
-  list-style-image: url("chrome://screengrab/skin/screengrab_16_icon.gif");
-}
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/chrome.manifest 0.96.8c/chrome.manifest
--- 0.96.3/chrome.manifest	2010-03-23 23:30:20.000000000 -0400
+++ 0.96.8c/chrome.manifest	2012-07-04 00:01:24.000000000 -0400
@@ -1,22 +1,23 @@
 
-content screengrab jar:chrome/screengrab.jar!/content/
-content screengrab jar:chrome/screengrab.jar!/content/ contentaccessible=yes
+content screengrab chrome/content/
+content screengrab chrome/content/ contentaccessible=yes
 
 overlay chrome://browser/content/browser.xul    chrome://screengrab/content/screengrabOverlay.xul
 
-locale  screengrab  en-US jar:chrome/screengrab.jar!/locale/en-US/
-locale  screengrab  zh-CN jar:chrome/screengrab.jar!/locale/zh-CN/
-locale  screengrab  tr-TR jar:chrome/screengrab.jar!/locale/tr-TR/
-locale  screengrab  sl-SL jar:chrome/screengrab.jar!/locale/sl-SL/
-locale  screengrab  sk-SK jar:chrome/screengrab.jar!/locale/sk-SK/
-locale  screengrab  ru-RU jar:chrome/screengrab.jar!/locale/ru-RU/
-locale  screengrab  ko-KR jar:chrome/screengrab.jar!/locale/ko-KR/
-locale  screengrab  ja-JP jar:chrome/screengrab.jar!/locale/ja-JP/
-locale  screengrab  it-IT jar:chrome/screengrab.jar!/locale/it-IT/
-locale  screengrab  hu-HU jar:chrome/screengrab.jar!/locale/hu-HU/
-locale  screengrab  fr-FR jar:chrome/screengrab.jar!/locale/fr-FR/
-locale  screengrab  es-ES jar:chrome/screengrab.jar!/locale/es-ES/
-locale  screengrab  de-DE jar:chrome/screengrab.jar!/locale/de-DE/
-locale  screengrab  cs-CZ jar:chrome/screengrab.jar!/locale/cs-CZ/
+locale  screengrab  en-US chrome/locale/en-US/
+locale  screengrab  zh-CN chrome/locale/zh-CN/
+locale  screengrab  tr-TR chrome/locale/tr-TR/
+locale  screengrab  sl-SL chrome/locale/sl-SL/
+locale  screengrab  sk-SK chrome/locale/sk-SK/
+locale  screengrab  ru-RU chrome/locale/ru-RU/
+locale  screengrab  ko-KR chrome/locale/ko-KR/
+locale  screengrab  ja-JP chrome/locale/ja-JP/
+locale  screengrab  it-IT chrome/locale/it-IT/
+locale  screengrab  hu-HU chrome/locale/hu-HU/
+locale  screengrab  fr-FR chrome/locale/fr-FR/
+locale  screengrab  es-ES chrome/locale/es-ES/
+locale  screengrab  de-DE chrome/locale/de-DE/
+locale  screengrab  cs-CZ chrome/locale/cs-CZ/
 
-skin    screengrab  classic/1.0 jar:chrome/screengrab.jar!/skin/
+skin    screengrab  classic/1.0 chrome/skin/
+style   chrome://global/content/customizeToolbar.xul chrome://screengrab/skin/screengrab.css
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/defaults/preferences/prefs.js 0.96.8c/defaults/preferences/prefs.js
--- 0.96.3/defaults/preferences/prefs.js	2010-03-23 23:30:20.000000000 -0400
+++ 0.96.8c/defaults/preferences/prefs.js	2012-07-03 23:55:36.000000000 -0400
@@ -1,4 +1,4 @@
-pref("extensions.{02450954-cdd9-410f-b1da-db804e18c671}.description", "chrome://screengrab/locale/screengrab.properties");
+pref("extensions.{02450914-cdd9-410f-b1da-db004e18c671}.description", "chrome://screengrab/locale/screengrab.properties");
 pref("extensions.screengrab.includeTimeStampInFilename", true);
 pref("extensions.screengrab.imageFormat", 0); // 0 = PNG, 1 = JPG
 pref("extensions.screengrab.useJavaIfAvailable", true);
diff --recursive --show-c-function --unified --ignore-tab-expansion --ignore-all-space --ignore-blank-lines -N 0.96.3/install.rdf 0.96.8c/install.rdf
--- 0.96.3/install.rdf	2010-03-23 23:30:20.000000000 -0400
+++ 0.96.8c/install.rdf	2012-10-03 09:57:04.000000000 -0400
@@ -2,9 +2,10 @@
 
 <RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#">
 	<Description about="urn:mozilla:install-manifest">
-		<em:id>{02450954-cdd9-410f-b1da-db804e18c671}</em:id>
-		<em:name>Screengrab</em:name>
-		<em:version>0.96.3</em:version>
+		<em:id>{02450914-cdd9-410f-b1da-db004e18c671}</em:id>
+		<em:name>Screengrab  (fix version)</em:name>
+		<em:version>0.96.8c</em:version>
+		<em:type>2</em:type> 
 		<em:description>Saves a web-page as an image.</em:description>
 		<em:creator>Andy Mutton</em:creator>
 		
@@ -12,7 +13,8 @@
 		<em:contributor>All of the guys at babelzilla.org (Translations)</em:contributor>
 		<em:contributor>Dominic Letz (SecurityException bug fix)</em:contributor>
 		<em:contributor>vboriesazeau (Pointing out the deprecated getBoxObjectFor call)</em:contributor>
-		
+		<em:contributor>Alexander Popov (Author Screengrab Fix Version)</em:contributor> 
+		<em:contributor>TeliuTe (Create Simplified Chinese Language Pack)</em:contributor> 
 		<em:homepageURL>http://www.screengrab.org/</em:homepageURL>
 	    <em:optionsURL>chrome://screengrab/content/preferences.xul</em:optionsURL>
 	    <em:iconURL>chrome://screengrab/skin/screengrab_icon.gif</em:iconURL>
@@ -21,7 +23,7 @@
 			<Description>
 				<em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
 				<em:minVersion>3.0</em:minVersion>
-				<em:maxVersion>3.6.*</em:maxVersion>
+				<em:maxVersion>17.*</em:maxVersion>
 			</Description>
 		</em:targetApplication>
 	</Description>
Binary files 0.96.3/jars/base64.jar and 0.96.8c/jars/base64.jar differ
